# Register your agent

**Payload example:**

```python
register_payload = {
    "groc_account_id": "your_account_id",
    "agent_uuid": str(uuid.uuid4()),  # Not important
    "agent_name": "Agent Smith",
    "agent_url": "http://example.com/agent",
    "agent_description": "A reliable agent",
    "agent_logo_url": "http://example.com/logo.png",
    "agent_code": "AG123",
    "agent_category": "ERP Agents",
    "country": "India",
    "valid_from": "2023-10-01T00:00:00Z",
    "signing_public_key": "your_signing_public_key",
    "encr_public_key": "your_encr_public_key",
    "uname": "agent_smith_6"
}
```

**Example Code**

```python
# Register an agent
register_payload = {
    "groc_account_id": "your_account_id",
    "agent_uuid": str(uuid.uuid4()),  # Not important
    "agent_name": "Agent Smith",
    "agent_url": "http://example.com/agent",
    "agent_description": "A reliable agent",
    "agent_logo_url": "http://example.com/logo.png",
    "agent_code": "AG123",
    "agent_category": "ERP Agents",
    "country": "India",
    "valid_from": "2023-10-01T00:00:00Z",
    "signing_public_key": "your_signing_public_key",
    "encr_public_key": "your_encr_public_key",
    "uname": "agent_smith_6"
}
register_response = agent.register_agent(register_payload)
print("Agent Registration Response:", register_response)
```

Example Response

```python
Agent Register: {'message': 'Agent registered successfully and pushed to CatalogLake!', 'agent_uuid': '93f7cc86-ea63-4946-9116-54782e14d762'}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.groclake.ai/lakes/agent-management-and-deployment/agentlake/markdown.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
